## kwvdial-0.7.src.tar.gz

=== wvdial-1.41/streams/Makefile ===
include $(TOPDIR)/rules.mk

LOCKDEV = $(shell [ -f /usr/include/lockdev.h -a -f /usr/lib/liblockdev.a ] \
		&& echo /usr/lib/liblockdev.a)
CFLAGS += $(shell [ -n "$(LOCKDEV)" ] && echo -DUSE_LOCKDEV=1 )

XPATH=.. ../utils

#LIBS=$(EFENCE)

default: all watchtest pipetest clonetest modemtest \
		logtest logbuftest syslogtest looptest timetest prototest

all: report-lock-mode streams.a

.PHONY: report-lock-mode
report-lock-mode:
	@if [ -n "$(LOCKDEV)" ]; then \
		echo Using liblockdev.a for device locking in wvlockfile.; \
	else \
		echo Using my own device locking functions in wvlockfile.; \
	fi

streams.a: wvstream.o wvstreamlist.o wvsplitstream.o wvstreamclone.o \
	wvlog.o wvlogbuffer.o wvsyslog.o wvwatcher.o wvpipe.o \
	wvloopback.o wvmodem.o wvtimestream.o wvprotostream.o \
	wvlockfile.o $(LOCKDEV)

watchtest pipetest clonetest modemtest logtest logbuftest syslogtest \
	looptest timetest prototest: streams.a ../utils/utils.a

clean:
	rm -f watchtest pipetest clonetest modemtest \
		logtest logbuftest syslogtest looptest timetest prototest

=== wvdial-1.41/utils/Makefile ===
include $(TOPDIR)/rules.mk

default: all teststr testlist testhash stresshash testbuffer \
		testbase64 testver
all: utils.a

utils.a: base64.o verstring.o strutils.o wvstring.o \
		wvlinklist.o wvhashtable.o wvbuffer.o


LIBS=${EFENCE}
teststr testlist testhash stresshash testbuffer testbase64 testver: utils.a

clean:
	rm -f teststr testlist testhash stresshash testbuffer \
		testbase64 testver

=== wvdial-1.41/wvdial/Makefile ===
include $(TOPDIR)/rules.mk

XPATH=.. ../utils ../configfile ../streams

default: all papchaptest
all: wvdial.a wvdial wvdialconf

wvdial.a: wvdialer.o wvdialtext.o wvmodemscan.o wvpapchap.o wvdialbrain.o

#LIBS = ${EFENCE}

papchaptest: papchaptest.o wvdial.a ../streams/streams.a ../utils/utils.a

wvdial: wvdial.o wvdial.a ../configfile/configfile.a ../streams/streams.a \
	  ../utils/utils.a

wvdialconf: wvdialconf.o wvdial.a ../configfile/configfile.a \
	  ../streams/streams.a ../utils/utils.a

clean:
	rm -f wvdial wvdialconf papchaptest *.o *.a

=== debian/changelog ===
kwvdial (0.7) unstable; urgency=med
  
  * Convert from QT1.x to QT2.x and all that entails
  * Docking is still pretty broken....

 -- Patrick Patterson <ppatters@cnss.ca>  Sun,  26 Mar 2000 18:34:00 -0500

kwvdial (0.6) unstable; urgency=med
  
  * Update to New Configuration Screen
  * Fixed some of the Debian Installation Problems
  * Misc. Bug Fixes
  * Added Currency Cost Counter
  * Began Work on Statistics screen
  * Began Work on Integrating PPPOE and ISDN Support

 -- Patrick Patterson <ppatters@cnss.ca>  Sun,  26 Mar 2000 18:34:00 -0500

kwvdial (0.5) unstable; urgency=high

  * Initial Debian Package Release.

 -- Patrick Patterson <ppatters@cnss.ca>  Fri,  31 Dec 1999 00:39:00 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "ppatters@cnss.ca"
End:

=== wvdial-1.41/debian/changelog ===
wvdial (1.41) unstable; urgency=low

  * Recompiled for potato using the latest upstream version, debhelper,
  	and libstdc++.  No real changes.

 -- Avery Pennarun <apenwarr@debian.org>  Thu,  6 Jan 2000 21:57:46 -0500

wvdial (1.40) unstable; urgency=low

  * New upstream version adds bugs and new features.  Er, I mean, removes
    bugs.  Of course.  Ahem.

 -- Avery Pennarun <apenwarr@debian.org>  Mon,  2 Aug 1999 15:25:47 -0400

wvdial (1.20) frozen unstable; urgency=low

  * New upstream version corrects some bugs in the prompt-response code
    and Makefiles, so several ISP's now work again.

 -- Avery Pennarun <apenwarr@debian.org>  Sun,  8 Nov 1998 15:45:00 -0500

wvdial (1.10) unstable; urgency=low

  * New upstream version.  Now redials automatically if you get
    disconnected, among other things.  (Boy, being the upstream and
    downstream maintainer sure can be tiring!)

 -- Avery Pennarun <apenwarr@debian.org>  Wed, 23 Sep 1998 22:22:17 -0400

wvdial (1.01) unstable; urgency=low

  * New upstream version.  Fixes a few minor bugs.

 -- Avery Pennarun <apenwarr@debian.org>  Thu, 10 Sep 1998 14:55:50 -0400

wvdial (1.00) unstable; urgency=low

  * New upstream version.  Now builds without changes on Debian 2.0.
    (fixes bug#23103)

 -- Avery Pennarun <apenwarr@debian.org>  Tue, 25 Aug 1998 22:40:07 -0400
    

wvdial (0.41) frozen unstable; urgency=low

  * New upstream version, fixes bug#19092 (requirement for 'noauth' option)
  * Now works much better with pppd 2.3.x.
  * Longer delay before killing pppd; avoids permissions problems.

 -- Avery Pennarun <apenwarr@debian.org>  Sat, 16 May 1998 16:29:31 -0400

wvdial (0.31) frozen unstable; urgency=low

  * New upstream version, fixes bug#19173 (core dumps) and several others.
  * Changed postinst/postrm to not divert pon/poff scripts.
    Fixes bug#19244.

 -- Avery Pennarun <apenwarr@debian.org>  Sun, 15 Mar 1998 17:23:00 -0500

wvdial (0.30) unstable; urgency=low

  * New upstream version.

 -- Avery Pennarun <apenwarr@debian.org>  Sat,  7 Mar 1998 13:23:39 -0500

wvdial (0.25) unstable; urgency=low

  * New upstream version.
  * First release uploaded to hamm.
  * debian/control specifies a section and a priority now.  (oops!)
  * Should work properly with pppd 2.3.x, due to use of pap-secrets.

 -- Avery Pennarun <apenwarr@debian.org>  Sat, 14 Feb 1998 17:29:20 -0500

wvdial (0.20-1) unstable; urgency=low

  * New source version fixes several bugs.
  * Now using debhelper instead of debmake to build the Debian package.

 -- Avery Pennarun <apenwarr@worldvisions.ca>  Sun, 21 Dec 1997 18:58:17 -0500

wvdial (0.12-1) unstable; urgency=low

  * wvdialconf now probes /dev/ttyI* as well, for ISDN.

 -- Avery Pennarun <apenwarr@worldvisions.ca>  Thu, 18 Dec 1997 14:01:48 -0500

wvdial (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Avery Pennarun <apenwarr@worldvisions.ca>  Tue,  9 Dec 1997 01:39:45 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "apenwarr@worldvisions.ca"
End:

=== debian/control ===
Source: kwvdial
Section: comm
Priority: optional
Maintainer: Patrick Patterson <ppatters@cnss.ca>
Standards-Version: 2.3.0.0

Package: kwvdial
Architecture: any
Depends: ppp (>= 2.3.0), ${shlibs:Depends}
Description: PPP dialer with built-in intelligence for KDE
 KWvDial sacrifices some of the flexibility of programs like "chat" in order
 to make your dialup configuration easier.  KWvDial knows
 enough to dial with most modems and log in to most servers without any
 other help.
 .
 In particular, you no longer need a "chat script" to handle the most common
 situations.

=== wvdial-1.41/debian/control ===
Source: wvdial
Section: comm
Priority: optional
Maintainer: Avery Pennarun <apenwarr@debian.org>
Standards-Version: 2.3.0.0

Package: wvdial
Architecture: any
Depends: ppp (>= 2.3.0), ${shlibs:Depends}
Description: PPP dialer with built-in intelligence.
 WvDial sacrifices some of the flexibility of programs like "chat" in order
 to make your dialup configuration easier.  When you install this package,
 your modem will be detected automatically and you need to specify just
 three parameters: the phone number, username, and password.  WvDial knows
 enough to dial with most modems and log in to most servers without any
 other help.
 .
 In particular, you no longer need a "chat script" to handle the most common
 situations.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for WvDial, using debhelper. 
#
# Modified by Avery Pennarun from the debhelper sample, which was
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp 
build-stamp: Makefile
	dh_testdir
	$(MAKE) CXXOPTS="-fno-implement-inlines -fno-exceptions"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=`pwd`/debian/tmp install
	#cp debian/pon.wvdial debian/poff.wvdial debian/tmp/usr/bin/
	cp wvdial-dir/wvdial/wvdialconf debian/tmp/usr/bin/
	dh_installdocs
	dh_installmanpages
	#dh_installchangelogs CHANGES
	gzip -9 <ChangeLog >debian/tmp/usr/share/doc/kwvdial/changelog.gz
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

Makefile: 
	./configure

=== wvdial-1.41/debian/rules ===
#!/usr/bin/make -f
# debian/rules for WvDial, using debhelper. 
#
# Modified by Avery Pennarun from the debhelper sample, which was
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CXXOPTS="-fno-implement-inlines -fno-rtti -fno-exceptions"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) PREFIX=`pwd`/debian/tmp/usr \
		PPPDIR=`pwd`/debian/tmp/etc/ppp/peers \
		install
	#cp debian/pon.wvdial debian/poff.wvdial debian/tmp/usr/bin/
	dh_installdocs
	dh_installmanpages
	#dh_installchangelogs CHANGES
	gzip -9 <CHANGES >debian/tmp/usr/share/doc/wvdial/changelog.gz
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
